Subject: Re: DB_THREAD support in Berkeley DB/glibc

From: Daniel Jacobowitz <[email-masked]>
Date: Tue, 28 Dec 1999 02:59:01 -0500

If I'm not mistaken, David Huggins-Daines did this recently.  It is in
the debian packages of glibc in the latest release.

On Sun, Dec 26, 1999 at 09:04:12PM -0600, Troy Benjegerdes wrote:
> 
> I've just figured out that the reason openldap doesn't work is that it
> assumes all platforms support the DB_THREAD argument for db_appinit.
> 
> After looking at the glibc/Berkeley DB source, it turns out that all it
> needs is 10 or so lines of ASM for spinlocks.
> 
> Could someone working on glibc developement add the required ASM and get
> this into the mainline distribution? Thanks.
> 
> (look in glibc/db2/mutex, I believe )
> 
> --------------------------------------------------------------------------
> | Troy Benjegerdes    |  [email-masked]    |    [email-masked]   |
> |    Unix is user friendly... You just have to be friendly to it first.  |
> | This message composed with 100% free software.    http://www.gnu.org   |
> --------------------------------------------------------------------------
> 
> 

Dan

/--------------------------------\  /--------------------------------\
|       Daniel Jacobowitz        |__|        SCS Class of 2002       |
|   Debian GNU/Linux Developer    __    Carnegie Mellon University   |
|         [email-masked]         |  |       [email-masked]      |
\--------------------------------/  \--------------------------------/

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/